ListServiceDependenciesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.inventory.ListServiceDependenciesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application.inventory
Class ListServiceDependenciesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.application.inventory.ListServiceDependenciesForm

All Implemented Interfaces:
  java.io.Serializable

    public class ListServiceDependenciesForm

extends BaseValidatorForm

This is used to managed the lists of AppServiceValue objects used for screen "2.1.6.4 Application: Service Dependencies" The screen has a list of AppServiceValues that this AppServiceValue depends on (children or "dependers"). That list may grow or shrink. Growing it is accomplished by invoking AddApplicationServicesPrepareFormAction to paint screen "2.1.6.5 Edit Application: Add Dependencies", performing add and commit operations (AddApplicationServicesAction). The screen has another list of what the AppServiceValue depends on ("dependees"). That is a read-only list for display purposes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ListServiceDependenciesForm()` Constructor for ListServiceDependenciesForm.

Method Summary
`java.util.List` | `getAppSvcDependees()` Returns the appSvcDependees.
`java.util.List` | `getAppSvcDependers()` Returns the appSvcDependers.
`java.lang.Integer` | `getAppSvcId()` Returns the appSvcId.
`java.lang.Integer` | `getRid()` Returns the rid.
`java.lang.String` | `getServiceLabel()` Returns the serviceLabel.
`java.lang.Integer` | `getType()` Returns the type.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAppSvcDependees(java.util.List appSvcDependees)` Sets the appSvcDependees.
`void` | `setAppSvcDependers(java.util.List appSvcDependers)` Sets the appSvcDependers.
`void` | `setAppSvcId(java.lang.Integer appSvcId)` Sets the appSvcId.
`void` | `setRid(java.lang.Integer rid)` Sets the rid.
`void` | `setServiceLabel(java.lang.String serviceLabel)` Sets the serviceLabel.
`void` | `setType(java.lang.Integer type)` Sets the type.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListServiceDependenciesForm

    public ListServiceDependenciesForm()

  Constructor for ListServiceDependenciesForm.

Method Detail

### getAppSvcDependees

    public java.util.List getAppSvcDependees()

  Returns the appSvcDependees.

  Returns:
    List

### getAppSvcDependers

    public java.util.List getAppSvcDependers()

  Returns the appSvcDependers.

  Returns:
    List

### getType

    public java.lang.Integer getType()

  Returns the type.

  Returns:
    Integer

### setAppSvcDependees

    public void setAppSvcDependees(java.util.List appSvcDependees)

  Sets the appSvcDependees.

  Parameters:
    `appSvcDependees` - The appSvcDependees to set

### setAppSvcDependers

    public void setAppSvcDependers(java.util.List appSvcDependers)

  Sets the appSvcDependers.

  Parameters:
    `appSvcDependers` - The appSvcDependers to set

### setType

    public void setType(java.lang.Integer type)

  Sets the type.

  Parameters:
    `type` - The type to set

### getServiceLabel

    public java.lang.String getServiceLabel()

  Returns the serviceLabel.

  Returns:
    String

### setServiceLabel

    public void setServiceLabel(java.lang.String serviceLabel)

  Sets the serviceLabel.

  Parameters:
    `serviceLabel` - The serviceLabel to set

### getRid

    public java.lang.Integer getRid()

  Returns the rid.

  Returns:
    Integer

### setRid

    public void setRid(java.lang.Integer rid)

  Sets the rid.

  Parameters:
    `rid` - The rid to set

### getAppSvcId

    public java.lang.Integer getAppSvcId()

  Returns the appSvcId.

  Returns:
    Integer

### setAppSvcId

    public void setAppSvcId(java.lang.Integer appSvcId)

  Sets the appSvcId.

  Parameters:
    `appSvcId` - The appSvcId to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.